SANLink2 with Mac OS 10.13

  • Last Post 3 weeks ago
Paul Haring posted this 4 weeks ago

Is the SANLink 2, model F2102, compatible with Mac OS 10.13, High Sierra? Thanks for your help.

Order By: Standard | Latest | Votes
Venkatachalam Settu posted this 4 weeks ago

Yes, It's compatible with Mac OSx 10.13, High Sierra.

Paul Haring posted this 3 weeks ago

Thanks, I appreciate your confirmation.